Subject: [PATCH] cpuidle: add Calxeda SOC idle support

From: [email-masked] (Arnd Bergmann)
Date: Mon, 12 Nov 2012 22:00:07 +0000

On Wednesday 07 November 2012, Rob Herring wrote:
> From: Rob Herring <[email-masked]>
> 
> Add support for core powergating on Calxeda platforms. Initially, this
> supports ECX-1000 (highbank), but support will be added for ECX-2000
> later.
> 
> Signed-off-by: Rob Herring <[email-masked]>
> Cc: Len Brown <[email-masked]>
> Cc: "Rafael J. Wysocki" <[email-masked]>

Acked-by: Arnd Bergmann <[email-masked]>

> It's not really clear where we want ARM cpuidle drivers. We're moving
> everything else out of arch/arm, and my understanding is Len doesn't want
> them in drivers/idle. It seems kind of silly to me to have the framework
> and drivers in 2 places. I've put this in drivers/cpuidle, but it doesn't
> make any difference to me.

Fine with me. I just don't want in in arch/arm because I'm guessing this will
be shared with arm64, which in turn shares idle (and other) drivers with various
powerpc, mips and x86 socs.

	Arnd